--- a/sdk/C/common/common.mk
+++ b/sdk/C/common/common.mk
@@ -268,18 +268,18 @@ endif
 
 # If dynamically linking to CUDA and CUDART, we exclude the libraries from the LIB
 ifeq ($(USECUDADYNLIB),1)
-     LIB += ${OPENGLLIB} $(PARAMGLLIB) $(RENDERCHECKGLLIB) ${LIB} -ldl -rdynamic 
+     LIB += $(RENDERCHECKGLLIB) ${OPENGLLIB} $(PARAMGLLIB) ${LIB} -ldl -rdynamic 
 else
 # static linking, we will statically link against CUDA and CUDART
   ifeq ($(USEDRVAPI),1)
-     LIB += -lcuda   ${OPENGLLIB} $(PARAMGLLIB) $(RENDERCHECKGLLIB) ${LIB} 
+     LIB += -lcuda $(RENDERCHECKGLLIB) ${OPENGLLIB} $(PARAMGLLIB) ${LIB} 
   else
      ifeq ($(emu),1) 
          LIB += -lcudartemu
      else 
          LIB += -lcudart
      endif
-     LIB += ${OPENGLLIB} $(PARAMGLLIB) $(RENDERCHECKGLLIB) ${LIB}
+     LIB += $(RENDERCHECKGLLIB) ${OPENGLLIB} $(PARAMGLLIB) ${LIB}
   endif
 endif
 
--- a/sdk/CUDALibraries/common/common_cudalib.mk
+++ b/sdk/CUDALibraries/common/common_cudalib.mk
@@ -253,7 +253,7 @@ ifeq ($(USEPARAMGL),1)
 endif
 
 ifeq ($(USERENDERCHECKGL),1)
-	RENDERCHECKGLLIB := -lrendercheckgl_$(LIB_ARCH)$(LIBSUFFIX)
+	RENDERCHECKGLLIB := -L../../../C/lib -lrendercheckgl_$(LIB_ARCH)$(LIBSUFFIX)
 endif
 
 ifeq ($(USENVCUVID), 1)
--- a/sdk/CUDALibraries/src/boxFilterNPP/Makefile
+++ b/sdk/CUDALibraries/src/boxFilterNPP/Makefile
@@ -38,7 +38,7 @@ include ../../common/common_npplib.mk
 # Targets
 ################################################################################
 all:
-	$(CXX) $(INC) $(LIB) -o boxFilterNPP boxFilterNPP.cpp -lUtilNPP_$(LIB_ARCH) -lfreeimage$(FREEIMAGELIBARCH)
+	$(CXX) $(INC) -o boxFilterNPP boxFilterNPP.cpp -lUtilNPP_$(LIB_ARCH) -lfreeimage$(FREEIMAGELIBARCH) $(LIB)
 	mkdir -p ../../bin
 	mkdir -p ../../bin/$(OSLOWER)/
 	mkdir -p ../../bin/$(OSLOWER)/debug
--- a/sdk/CUDALibraries/src/freeImageInteropNPP/Makefile
+++ b/sdk/CUDALibraries/src/freeImageInteropNPP/Makefile
@@ -38,7 +38,7 @@ include ../../common/common_npplib.mk
 # Targets
 ################################################################################
 all:
-	$(CXX) $(INC) $(LIB) -o freeImageInteropNPP freeImageInteropNPP.cpp -lUtilNPP_$(LIB_ARCH) -lfreeimage$(FREEIMAGELIBARCH)
+	$(CXX) $(INC) -o freeImageInteropNPP freeImageInteropNPP.cpp -lUtilNPP_$(LIB_ARCH) -lfreeimage$(FREEIMAGELIBARCH) $(LIB)
 	mkdir -p ../../bin
 	mkdir -p ../../bin/$(OSLOWER)
 	mkdir -p ../../bin/$(OSLOWER)/release
--- a/sdk/CUDALibraries/src/histEqualizationNPP/Makefile
+++ b/sdk/CUDALibraries/src/histEqualizationNPP/Makefile
@@ -38,7 +38,7 @@ include ../../common/common_npplib.mk
 # Targets
 ################################################################################
 all:
-	$(CXX) $(INC) $(LIB) -o histEqualizationNPP histEqualizationNPP.cpp -lUtilNPP_$(LIB_ARCH) -lfreeimage$(FREEIMAGELIBARCH)
+	$(CXX) $(INC) -o histEqualizationNPP histEqualizationNPP.cpp -lUtilNPP_$(LIB_ARCH) -lfreeimage$(FREEIMAGELIBARCH) $(LIB)
 	mkdir -p ../../bin
 	mkdir -p ../../bin/$(OSLOWER)
 	mkdir -p ../../bin/$(OSLOWER)/release
--- a/sdk/CUDALibraries/src/imageSegmentationNPP/Makefile
+++ b/sdk/CUDALibraries/src/imageSegmentationNPP/Makefile
@@ -38,7 +38,7 @@ include ../../common/common_npplib.mk
 # Targets
 ################################################################################
 all:
-	$(CXX) $(INC) $(LIB) -o imageSegmentationNPP imageSegmentationNPP.cpp -lUtilNPP_$(LIB_ARCH) -lfreeimage$(FREEIMAGELIBARCH)
+	$(CXX) $(INC) -o imageSegmentationNPP imageSegmentationNPP.cpp -lUtilNPP_$(LIB_ARCH) -lfreeimage$(FREEIMAGELIBARCH) $(LIB)
 	mkdir -p ../../bin
 	mkdir -p ../../bin/$(OSLOWER)
 	mkdir -p ../../bin/$(OSLOWER)/release
--- a/sdk/CUDALibraries/src/randomFog/Makefile
+++ b/sdk/CUDALibraries/src/randomFog/Makefile
@@ -45,6 +45,7 @@ CCFILES		:= randomFog.cpp rng.cpp
 USECURAND   := 1
 USEGLLIB    := 1
 USEGLUT     := 1
+USERENDERCHECKGL := 1
 
 ################################################################################
 # Rules and targets
